[arch-commits] Commit in pwgen/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 00:54:43 EDT 2009


    Date: Friday, April 17, 2009 @ 00:54:43
  Author: eric
Revision: 35782

Merged revisions 35781 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/pwgen/trunk

........
  r35781 | eric | 2009-04-17 00:54:28 -0400 (Fri, 17 Apr 2009) | 2 lines
  
  upgpkg: pwgen 2.06-1
      Upstream update, Added license, FHS man pages
........

Modified:
  pwgen/repos/extra-x86_64/	(properties)
  pwgen/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)


Property changes on: pwgen/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /pwgen/trunk:1-8950
   + /pwgen/trunk:1-35781

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-17 04:54:28 UTC (rev 35781)
+++ extra-x86_64/PKGBUILD	2009-04-17 04:54:43 UTC (rev 35782)
@@ -3,20 +3,19 @@
 # Contributor : Tobias Powalowski <t.powa at gmx.de>
 
 pkgname=pwgen
-pkgver=2.05
+pkgver=2.06
 pkgrel=1
-pkgdesc="Pwgen is a small, GPL'ed password generator which creates passwords which can be easily memorized by a human"
+pkgdesc="Pwgen is a small password generator which creates passwords which can be easily memorized by a human"
 arch=("i686" "x86_64")
 url="http://sourceforge.net/projects/pwgen/"
+license=('GPL')
 depends=('glibc')
 source=(http://downloads.sourceforge.net/sourceforge/pwgen/$pkgname-$pkgver.tar.gz)
-md5sums=('b94546a346cb352054ea2d3d09f7f885')
+md5sums=('935aebcbe610fbc9de8125e7b7d71297')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-   ./configure --prefix=/usr
-   make || return 1
-   mkdir -p $startdir/pkg/usr/{bin,man/man1}
-   cp $startdir/src/$pkgname-$pkgver/pwgen $startdir/pkg/usr/bin
-   cp $startdir/src/$pkgname-$pkgver/pwgen.1 $startdir/pkg/usr/man/man1
- }
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+}



More information about the arch-commits mailing list